<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:dist="http://schemas.android.com/apk/distribution"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="LockedOrientationActivity">

    <dist:module
        dist:instant="false"
        dist:title="@string/module_call">
        <dist:fusing dist:include="true" />
        <dist:delivery>
            <dist:install-time>
                <dist:removable dist:value="true" />
            </dist:install-time>
        </dist:delivery>
    </dist:module>

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_CAMERA" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_MICROPHONE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_CONNECTED_DEVICE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission
        android:name="android.permission.BLUETOOTH"
        android:maxSdkVersion="30" />
    <uses-permission
        android:name="android.permission.BLUETOOTH_ADMIN"
        android:maxSdkVersion="30" />
    <!-- Support Android S(31) Bluetooth-->
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />

    <uses-permission android:name="android.permission.ACCESS_NOTIFICATION_POLICY" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.MANAGE_OWN_CALLS" />

    <application android:requestLegacyExternalStorage="true">

        <activity
            android:name=".CallActivity"
            android:configChanges="orientation|screenSize"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme" />

    <!--自己管理启动阶段-->
<!--        <provider-->
<!--            android:name="com.tencent.qcloud.tuikit.tuicallkit.manager.bridge.Initializer"-->
<!--            android:authorities="${applicationId}.Initializer"-->
<!--            android:enabled="true"-->
<!--            android:exported="false" />-->

        <receiver
            android:name="com.tencent.qcloud.tuikit.tuicallkit.view.component.incomingbanner.IncomingCallReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="reject_call_action" />
            </intent-filter>
        </receiver>

    </application>

</manifest>